Description

The "Info by point" tool used on a vector layer is quite slow. In detail, | got the impression that the more the layer geometries are
complex (high number of vertices), the less the "Info by point" is quick in retrieving the alphanumerical info.

History

#1 - 08/05/2014 06:03 AM - Antonio Falciano

The same slowness of "Info by point" tool can be observed in the portable views.

#2 - 12/10/2014 11:33 AM - Alvaro Anguix
- Status changed from New to Closed

Esto pienso que se solucion6 al no leer el campo de atributos de geometrias por defecto.

#3 - 05/21/2015 11:05 AM - Antonio Falciano

- Status changed from Closed to New

The "Info by point" tool used on a relatively big vector layer is very slow in gvSIG 2.2 build 2310. For instance, | have to wait about 5 seconds in order
to identify this shapefile.

#4 - 05/29/2015 01:38 PM - Alvaro Anguix
- Priority changed from Normal to High

#5 - 08/25/2017 10:30 AM - Antonio Falciano

Alvaro Anguix wrote:

Esto pienso que se soluciond al no leer el campo de atributos de geometrias por defecto.
http://www.istat.it/storage/cartografia/confini_amministrativi/non_generalizzati/2014/Limiti_2014_WGS84.zip

The GEOMETRY field is always read by default since gvSIG 2.1, so the "Info by point" tool continues to be very slow. It would be useful to read
geometry WKT by another tool separately (basic users doesn't have the need to read the geometries) or to add a specific setting in gvSIG preferences
in order to enable or not this functionality if needed. My two cents.

#6 - 08/04/2023 11:50 AM - Alvaro Anguix
- Target version set to 2.6.1-final

A revisar para la 2.6. Es una herramienta basica muy usada y es cierto que leer la geometria no le interesa a nadie, salvo excepciones
